<?php
	include_once(__DIR__."/../../../core.php");

	$matricole = $_POST['matricole'];
	$component =  $_POST['componenti'];


	/*
		Impianti
	*/
	echo "<p>Impianti su cui &eacute; stato effettuato un ordine di servizio</p>\n";

	$query = "SELECT * FROM my_impianti_interventi INNER JOIN my_impianti ON my_impianti_interventi.idimpianto=my_impianti.id WHERE idimpianto=\"$id_record\"";
	$rs = $dbo->fetchArray( $query );
	$n = sizeof($rs);


	echo "<div class='row'>\n";

	for( $i=0; $i<$n; $i++ ){
		
		$idintervento=$rs[$i]['idintervento'];
		
		$mod_ordineservizio=get_var_tipodoc2($idintervento,'mod_ordineservizio');
		if( $mod_ordineservizio == "1"  ){				
			echo "	<div class='col-md-6'>\n";
			echo "		<table class='table table-hover table-condensed table-striped'>\n";

			$query = "SELECT * FROM co_documenti where id='".$idintervento."'";
			$rs_doc = $dbo->fetchArray( $query );
					
			//Ordine di servizio
			echo "		<tr><td align=\"right\">Ordine Servizio:</td>\n";
			echo "		<td valign=\"top\"><a href=\"".$rootdir."/editor.php?id_module=".$modules_info['Ordine di Servizio']['id']."&id_record=".$idintervento."\" target=\"_blank\">".$rs_doc[0]['numero_documento']."</a></td></tr>\n";
			$query = "SELECT * FROM in_interventi_tecnici 
			inner join an_anagrafiche on in_interventi_tecnici.idtecnico = an_anagrafiche.idanagrafica		
			inner join in_statiintervento on in_interventi_tecnici.idstatointervento = in_statiintervento.idstatointervento				
			where idintervento='".$idintervento."'";
			$rs_pianificazioni = $dbo->fetchArray( $query );
			$np = sizeof($rs_pianificazioni);
			for( $p=0; $p<$np; $p++ ){
				//Pianificazione
				echo "		<tr><td valign=\"top\" align=\"left\"></td>\n";
				$inizio=date( "d/m/Y H:m", strtotime($rs_pianificazioni[$p]['orario_inizio']) );
				$fine=date( "d/m/Y H:m", strtotime($rs_pianificazioni[$p]['orario_fine']) );
				$testo="Operatore : ".$rs_pianificazioni[$p]['ragione_sociale']." -- ".$rs_pianificazioni[$p]['descrizione_att']." Periodo ".$inizio." - ".$fine." Stato :".$rs_pianificazioni[$p]['descrizione'];
				echo "		<td valign=\"top\">".$testo."</td></tr>\n";
			}
			echo '
				</select><br><br>
				
			</form>
			</td>
			</tr>
			</table>
		</div>';
			
		}
		
	}
	
	echo "</div>\n";



	
?>

